> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-1 HSN Summary

> Get HSN summary for GSTR-1 data

#### Response schema

For successful responses, these resources describe the GSTN payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-1/documents/get_hsn.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/gstr-1/documents/get_hsn-v4.1.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/hsn/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-1/hsn/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-1 Documents
      summary: GSTR-1 HSN Summary
      description: Get HSN summary for GSTR-1 data
      operationId: getGstr1HsnSummary
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 200 Success / RET11416 No data found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGstr1HsnSummaryResponse'
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        hsn:
                          chksum: >-
                            1a60e5144b4eecdc03ea2326ea0c5171ff7973840f10e9a409e8934c01283743
                          data:
                            - camt: 2285
                              desc: Individual tax preparation and planning services
                              hsn_sc: '998232'
                              iamt: 237746
                              num: 1
                              qty: 0
                              rt: 18
                              samt: 2285
                              txval: 1346201
                              uqc: NA
                          flag: 'N'
                    timestamp: 1763446641000
                    transaction_id: 3f809d3d-8fa8-4c17-a798-8981318122e9
                RET11416 No data found:
                  summary: RET11416 No data found
                  value:
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        error_cd: RET11416
                        message: >-
                          No document found in selected financial year. Either
                          this document exists in a different financial year or
                          the document number is incorrect.
                    timestamp: 1763446641000
                    transaction_id: 12fff328-4baa-4dc4-bce8-0e47476c8fdd
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetGstr1HsnSummaryResponse:
      oneOf:
        - $ref: '#/components/schemas/GetGstr1HsnSummarySuccessResponse'
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetGstr1HsnSummarySuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: '#/components/schemas/GetGstr1HsnSummarySuccessPayload'
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetGstr1HsnSummarySuccessPayload:
      type: object
      description: Successful GSTN payload for Get Gstr1 Hsn Summary.
      properties:
        hsn:
          type: object
          description: The hsn value returned by GSTN.
          properties:
            flag:
              type: string
              description: Status of Invoice
            chksum:
              type: string
              description: Invoice checksum value
              minLength: 1
              maxLength: 64
            hsn_b2b:
              type: array
              description: The hsn b2b value returned by GSTN.
              items:
                type: object
                properties:
                  iamt:
                    type: number
                    description: IGST Amount as per invoice
                  camt:
                    type: number
                    description: CGST Amount as per invoice
                  samt:
                    type: number
                    description: SGST Amount as per invoice
                  csamt:
                    type: number
                    description: Cess Amount as per invoice
                  desc:
                    type: string
                    description: Description of goods sold
                  hsn_sc:
                    type: string
                    description: HSN of Goods or Services as per Invoice line items
                    minLength: 2
                    maxLength: 8
                  num:
                    type: integer
                    description: Serial no
                  qty:
                    type: number
                    description: Quantity of goods sold
                  txval:
                    type: number
                    description: Taxable value of Goods or Service as per invoice
                  uqc:
                    type: string
                    description: UQC (Unit of Measure) of goods sold
                  val:
                    type: number
                    description: Supplier Invoice Value
                  rt:
                    type: number
                    description: Tax Rate
            hsn_b2c:
              type: array
              description: The hsn b2c value returned by GSTN.
              items:
                type: object
                properties:
                  iamt:
                    type: number
                    description: IGST Amount as per invoice
                  camt:
                    type: number
                    description: CGST Amount as per invoice
                  samt:
                    type: number
                    description: SGST Amount as per invoice
                  csamt:
                    type: number
                    description: Cess Amount as per invoice
                  desc:
                    type: string
                    description: Description of goods sold
                  hsn_sc:
                    type: string
                    description: HSN of Goods or Services as per Invoice line items
                    minLength: 2
                    maxLength: 8
                  num:
                    type: integer
                    description: Serial no
                  qty:
                    type: number
                    description: Quantity of goods sold
                  txval:
                    type: number
                    description: Taxable value of Goods or Service as per invoice
                  uqc:
                    type: string
                    description: UQC (Unit of Measure) of goods sold
                  val:
                    type: number
                    description: Supplier Invoice Value
                  rt:
                    type: number
                    description: Tax Rate
            data:
              type: array
              description: The data value returned by GSTN.
              example:
                - camt: 2285
                  desc: Individual tax preparation and planning services
                  hsn_sc: '998232'
                  iamt: 237746
                  num: 1
                  qty: 0
                  rt: 18
                  samt: 2285
                  txval: 1346201
                  uqc: NA
              items:
                type: object
                properties:
                  camt:
                    type: number
                    description: The camt value returned by GSTN.
                    example: 2285
                  desc:
                    type: string
                    description: The desc value returned by GSTN.
                    example: Individual tax preparation and planning services
                  hsn_sc:
                    type: string
                    description: The hsn sc value returned by GSTN.
                    example: '998232'
                  iamt:
                    type: number
                    description: The iamt value returned by GSTN.
                    example: 237746
                  num:
                    type: number
                    description: The num value returned by GSTN.
                    example: 1
                  qty:
                    type: number
                    description: The qty value returned by GSTN.
                    example: 0
                  rt:
                    type: number
                    description: The rt value returned by GSTN.
                    example: 18
                  samt:
                    type: number
                    description: The samt value returned by GSTN.
                    example: 2285
                  txval:
                    type: number
                    description: The txval value returned by GSTN.
                    example: 1346201
                  uqc:
                    type: string
                    description: The uqc value returned by GSTN.
                    example: NA
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.

````